{
  "custom": {},
  "params": {
    "Hidden": true,
    "Name": "Planned_Stop_Or_Not_Used"
  },
  "propConfig": {
    "params.Hidden": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.Name": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 37,
      "width": 200
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "ColumnSelect"
        },
        "position": {
          "basis": "36px"
        },
        "propConfig": {
          "props.selected": {
            "binding": {
              "config": {
                "bidirectional": true,
                "path": "view.params.Hidden"
              },
              "type": "property"
            },
            "onChange": {
              "enabled": null,
              "script": "\t#Use previous value. If you\u0027re clicking -, you want to remove then toggle to +. Vice versa with clicking +.\n\tif getattr(previousValue, \u0027value\u0027, None) is not None:\n\t\tsystem.perspective.sendMessage(\u0027column-visibility\u0027, {str(self.view.params.Name): previousValue.value}, scope\u003d\u0027page\u0027)"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.Name"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "checkedIcon": {
            "path": "material/add"
          },
          "indeterminateIcon": {
            "path": "material/add"
          },
          "style": {
            "fontSize": 12,
            "overflow": "visible"
          },
          "uncheckedIcon": {
            "path": "material/remove"
          }
        },
        "type": "ia.input.checkbox"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "style": {
        "overflow": "visible"
      }
    },
    "type": "ia.container.flex"
  }
}